SortedSetDocValuesMultiRangeQuery (Lucene 10.5.0 sandbox API)
Description: declaration: package: org.apache.lucene.sandbox.search, class: SortedSetDocValuesMultiRangeQuery

Package org.apache.lucene.sandbox.search

# Class SortedSetDocValuesMultiRangeQuery

java.lang.Object
org.apache.lucene.search.Query
org.apache.lucene.sandbox.search.SortedSetDocValuesMultiRangeQuery

public class SortedSetDocValuesMultiRangeQuery extends Query
A union multiple ranges over SortedSetDocValuesField

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected class`
  `SortedSetDocValuesMultiRangeQuery.MultiRangeWeight`
  Weight for SortedSetDocValuesMultiRangeQuery
  `protected static final class`
  `SortedSetDocValuesMultiRangeQuery.OrdRange`
  A range for ordinal ends.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `fieldName`
  `protected final List<DocValuesMultiRangeQuery.ByteRange>`
  `rangeClauses`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SortedSetDocValuesMultiRangeQuery(String fieldName, List<DocValuesMultiRangeQuery.ByteRange> clauses)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `createOrdRanges(SortedSetDocValues values, Collection<SortedSetDocValuesMultiRangeQuery.OrdRange> ordRanges)`
  Resolves ordinals for rangeClauses.
  `Weight`
  `createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString(String fld)`
  `void`
  `visit(QueryVisitor visitor)`

  ### Methods inherited from class org.apache.lucene.search.Query

  `classHash, rewrite, sameClassAs, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fieldName

    protected final String fieldName

  - ### rangeClauses

    protected final List<DocValuesMultiRangeQuery.ByteRange> rangeClauses

- ## Constructor Details

  - ### SortedSetDocValuesMultiRangeQuery

    protected SortedSetDocValuesMultiRangeQuery(String fieldName, List<DocValuesMultiRangeQuery.ByteRange> clauses)

- ## Method Details

  - ### toString

    public String toString(String fld)
    Specified by:
      `toString` in class `Query`

  - ### createWeight

    public Weight createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost) throws IOException
    Overrides:
      `createWeight` in class `Query`
    Throws:
      `IOException`

  - ### createOrdRanges

    protected void createOrdRanges(SortedSetDocValues values, Collection<SortedSetDocValuesMultiRangeQuery.OrdRange> ordRanges) throws IOException
    Resolves ordinals for rangeClauses. Caveat: sometimes it updates ranges after inserting
    Parameters:
      `values` - doc values to lookup ordinals
      `ordRanges` - destination collection for ord ranges
    Throws:
      `IOException`

  - ### visit

    public void visit(QueryVisitor visitor)
    Specified by:
      `visit` in class `Query`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `Query`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `Query`